<?
echo "<div class='event'><h1>Рыбалка</h1></div>";

if($ku['level']<20)
{
echo "<div class='content'>";echo "<div class='block'>";
echo'<img src="img/icons/owibochka.gif" alt="*"> Рыбалка доступна со 20-го уровня!';
include_once 'inc/foot.php';
echo "</div></div>";
exit;
}
if(isset($_GET['rubalka']) && $_GET['rubalka']=='zak' && $ku['rtime']>$time && $ku['ruba']==0){

if($ku[rna]==0){
header("Location:?rubalka");
}
elseif($ku[tnna]<$time){
header("Location:?rubalka");
}
elseif($ku[rvy]==0){
header("Location:?rubalka");
}

elseif($ku[ruba]==0 && $ku[ktime]<$time){
if($ku[rna]==1){
$n=18*60;
}
if($ku[rna]==2){
$n=10*60;
}
if($ku[rna]==3){
$n=7*60;
}
if($ku[rna]==4){
$n=5*60;
}
if($ku[rna]==5){
$n=60;
}
$p=100;

if($ku[rpr]==1){
$p=15;
}
if($ku[rpr]==2){
$p=30;
}
if($ku[rpr]==3){
$p=40;
}
if($ku[rpr]==4){
$p=50;
}
if($ku[rpr]==5){
$p=60;
}

if($p==100){
$timef=$n;
}else{
$timef=($n/100)*$p;
$timef=$n-$timef;}
mysql_querll("UPDATE `kolhoz_user` SET  `ruba` = '1' WHERE `id` = '$ku[id]'");
mysql_querll("UPDATE `kolhoz_user` SET  `ktime` = '".($time+$timef)."' WHERE `id` = '$ku[id]'");
header("Location:?rubalka");
}
}



if(isset($_GET['rubalka']) && $_GET['rubalka']=='vut' && $ku['rtime']>$time &&  $ku['ruba']==1){
if($ku['ktime']>$time){
mysql_querll("UPDATE `kolhoz_user` SET  `ruba` = '0' WHERE `id` = '$ku[id]'");
mysql_querll("UPDATE `kolhoz_user` SET  `ktime` = '0' WHERE `id` = '$ku[id]'");
echo "<div class='feedback'><div>Надо было подождать пока подплывёт рыба!<br><br></div></div>";
}

if($ku[rvy]==1){
$p=35;
}
if($ku[rvy]==2){
$p=25;
}
if($ku[rvy]==3){
$p=15;
}
if($ku[rvy]==4){
$p=2;
}


$rand=rand(1,100);

if($p>=$rand && $ku['ktime']<$time){
echo "<div class='feedback'><div>Сорвалась!<br><br></div></div>";
mysql_querll("UPDATE `kolhoz_user` SET  `ruba` = '0' WHERE `id` = '$ku[id]'");
}
elseif($ku['ktime']<$time){

if($ku[level]>=20){
$rande=rand(1,5);
}
elseif($ku[level]>=51){
$rande=rand(1,6);
}
elseif($ku[level]>=52){
$rande=rand(1,11);
}
elseif($ku[level]>=53){
$rande=rand(1,12);
}
elseif($ku[level]>=54){
$rande=rand(1,13);
}
elseif($ku[level]>=55){
$rande=rand(1,14);
}
elseif($ku[level]>=56){
$rande=rand(1,15);
}
elseif($ku[level]>=57){
$rande=rand(1,17);
}
$vuvod = mysql_querll("SELECT * FROM `kolhoz_fishing` WHERE `id`=$rande");
$v = mysql_fetch_array($vuvod);
$rat=$v['rating'];
if(isset($sc_act)){$rat=$v['rating']*2;
if(isset($vtr_act))$rat=$v['rating']*2*4;}else{
if(isset($vtr_act))$rat=$v['rating']*4;

}
mysql_querll("UPDATE `kolhoz_user` SET  `ruba` = '0' WHERE `id` = '$ku[id]'");
mysql_querll("UPDATE `kolhoz_user` SET  `vurub` = '".($ku['vurub']+1)."' WHERE `id` = '$ku[id]'");
$ku['money']=plus_money($v[cena]);
$ku['rating']=plus_rating($rat);
if($ku['zadid']==5){
$ku['zad1']=plus_zad1(1);
}
update_mc($rat);
echo "<div class='feedback'><div>У вас на гачке: $v[name] +$v[cena] <img width='16' height='16' src='img/icons/money.png' alt='o'>, +$rat <img width='16' height='16' src='img/icons/doubleexp.png' alt='o'><br/><br></div></div>";

}
}


if($ku['rtime']<$time){
echo "<div class='content'>";
echo "<div class='block'>";
echo"Срок твоей лицензии истёк, ты можешь купить новую лицензию, чтобы снова ловить рыбу.<br/> <br/><img width='16' height='16' src='img/icons/licen.png' alt='o'> <span  class='title'>Лицензия:</span><br/><a href='?licen'>3 ч. за 2000 <img width='16' height='16' src='img/icons/money.png' alt='o'></a>";
include_once 'inc/foot.php';
exit;
}

echo "<div class='event'><h1>Речка (".time_left($ku[rtime]-$time).")</h1></div>";
echo "<div class='content'>";
echo "<div class='block'>";
echo "<div><img width='16' height='16' src='img/icons/refresh.png' alt='o'> <a href='?rubalka&reflesh=".rand(99999,99999999)."'>Обновить</a></div>";
?>
<img src="/img/persfishing.jpg" width="160" height="61" alt="b" style="margin: 0 auto; display: block;"/>
<?
if($ku[ruba]==0 && $ku['ktime']<$time){
echo"Давай забросим удочку!<br/>";if($ku[tnna]<$time)echo"У вас закончилась наживка.<br/>";
echo"<img width='16' height='16' src='img/icons/trow.png' alt='o'> <a href='?rubalka=zak'>Закинуть</a><br/>";
}
elseif($ku[ktime]>$time && $ku[ruba]==1){
echo"Стоит подождать  (".time_left($ku[ktime]-$time).") чтобы точно клюнула!<br/>";
echo"<img width='16' height='16' src='img/icons/pull.png' alt='o'> <a href='?rubalka=vut'>Вытащить</a><br/>";
}
elseif($ku[ktime]<=$time && $ku[ruba]==1){
echo"Пора вытаскивать удочку!<br/>";
echo"<img width='16' height='16' src='img/icons/pull.png' alt='o'> <a href='?rubalka=vut'>Вытащить</a><br/>";
}

echo"Удочка: <a href='?rvy'>-$ku[ydochka]-</a><br/>";


echo"Наживка: <a href='?rna'>-$ku[nazhivka]-</a>";
if($ku[tnna]>$time)echo" (".time_left($ku[tnna]-$time).")";
echo"<br/>";


echo"Прикормка: <a href='?rpr'>-$ku[prikormka]-</a>";
if($ku[tnpr]>$time)echo" (".time_left($ku[tnpr]-$time).")";
echo"<br/>";


include_once 'inc/foot.php';
?>